/* Contenedor principal */
.conteneder-registro-emprendimiento {
  display: grid;
  place-items: center;
  padding: 100px 70px;

  /* Titulo */
  & h3 {
    font-size: 45px;
    text-shadow: 0 0 5px var(--primary);
  }

  /* Section, estilo para las 3 secciones que comprende este componente */
  & .registro-datos {
    display: grid;
    grid-template-columns: 30% 5% auto;
    place-items: center;
    gap: 20px;
    width: 80%;
    height: 600px;

    /* Cambiamos los estilos de los elementos Dropdown y Divider de PrimeNg */
    .p-dropdown {
      height: 50px;
      width: 100%;
      font-size: 16px;
      border: 2px solid var(--info-border);
      border-radius: var(--border-radius);

      .p-dropdown-label {
        display: flex;
        align-items: center;
        padding: 6px 12px;
        color: var(--grey);
      }
    }

    .p-element .p-inputnumber-input,
    .p-element .p-inputnumber {
      width: 100%;
      border: transparent !important;
    }

    .p-divider .p-divider-content {
      height: 450px;
    }

    /* Cambiamos el estilo global de inpt_secon para adaptarlo a este componente */
    .inpt_secon {
      width: 100%;
      height: 50px;
    }

    /* Estilo sencillo para los formularios de registro */
    .datos {
      display: flex;
      flex-direction: column;
      gap: 10px;
      width: 100%;
      height: 80%;

      .mapa {
        height: calc(100% - 130px);
        border-radius: var(--border-radius);
        box-shadow: var(--box-shadow-card-2);
      }
    }

    /* Estilo para el contenedor de subida de foto */
    .foto {
      display: flex;
      flex-direction: column;
      align-items: center;
      gap: 10px;
      max-height: 450px;
      height: 100%;
      width: 100%;

      & figure {
        width: 90%;
        height: 80%;
      }

      /* Aplicamos este estilo para hacer la subida de archivos */
      .foto-upload {
        position: relative;
        width: 100%;
        height: 20%;
        border: 5px dashed var(--primary);
        border-radius: var(--border-radius-card);
        overflow: hidden;

        /* Ocultamos el fileUpload y lo hacemos del tamaño del contenedor */
        .p-element {
          display: inherit;
          width: 100%;
          height: 100%;
          cursor: pointer;
          opacity: 0;
          z-index: 5;

          .p-fileupload {
            position: relative;
            height: 100%;

            .p-button.p-fileupload-choose {
              position: absolute;
              top: 0;
            }
          }
        }

        /* Ponemos al label por encima del fileUpload y aplicamos algunos efectos */
        & label {
          position: absolute;
          display: flex;
          align-items: center;
          justify-content: center;
          z-index: -1;
          top: 50%;
          left: 50%;
          width: 100%;
          height: 100%;
          font-size: 20px;
          color: var(--primary);
          transform: translate(-50%, -50%);
          transition: background .3s, color .3s;

          & i {
            font-size: 28px;
          }
        }
      }

      .drag-over .p-element+label,
      .p-element:hover+label {
        background: var(--mask-dark-2);
        color: white;
      }
    }

    &+button {
      width: 30%;
      height: 50px;
      font-size: 16px;
    }
  }
}

.nota{
  display: flex;
  align-items: center;
  gap: 10px;
  width: 60%;
  height: 50px;
  padding: 10px;
  margin-bottom: 10px;
  font-size: 16px;
  color: white;
  border-radius: var(--border-radius);
  background: var(--mask-dark-2);
  box-shadow: var(--box-shadow-card-2);
}

.nota2 {
  width: 100%;
  font-size: 13px;
  color: var(--grey);
}
